package com.red.circle.console.app.service.app.sys;

import com.red.circle.framework.core.asserts.ResponseAssert;
import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.endpoint.sys.StartPagePlanClient;
import com.red.circle.other.inner.model.cmd.sys.SysStartPagePlanCmd;
import com.red.circle.other.inner.model.cmd.sys.SysStartPagePlanQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysStartPagePlanDTO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 启动页展示图片 Mapper 接口.
 * </p>
 *
 * @author pengshigang
 * @since 2021-12-13
 */
@Service
@RequiredArgsConstructor
public class SysStartPagePlanServiceImpl implements SysStartPagePlanService {

  private final StartPagePlanClient startPagePlanClient;

  @Override
  public PageResult<SysStartPagePlanDTO> pageVO(SysStartPagePlanQryCmd query) {
    return ResponseAssert.requiredSuccess(startPagePlanClient.pageStartPage(query));

  }

  @Override
  public void update(SysStartPagePlanCmd param) {
    ResponseAssert.requiredSuccess(startPagePlanClient.update(param));
  }

  @Override
  public void add(SysStartPagePlanCmd param) {
    ResponseAssert.requiredSuccess(startPagePlanClient.add(param));
  }

  @Override
  public void delete(Long id) {
    ResponseAssert.requiredSuccess(startPagePlanClient.delete(id));
  }
}
